<?php
/*  Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('bazinga_instagram_feed_theme_setup9')) {
	add_action( 'after_setup_theme', 'bazinga_instagram_feed_theme_setup9', 9 );
	function bazinga_instagram_feed_theme_setup9() {
		if (is_admin()) {
			add_filter( 'bazinga_filter_tgmpa_required_plugins',		'bazinga_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Check if  Instagram Feed installed and activated
if ( !function_exists( 'bazinga_exists_instagram_feed' ) ) {
	function bazinga_exists_instagram_feed() {
		return defined('SBIVER');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'bazinga_instagram_feed_tgmpa_required_plugins' ) ) {
	
	function bazinga_instagram_feed_tgmpa_required_plugins($list=array()) {
        if (bazinga_storage_isset('required_plugins', 'instagram-feed')){
            $list[] = array(
                'name' 		=> esc_html__(' Instagram Feed', 'bazinga'),
                'slug' 		=> 'instagram-feed',
                'required' 	=> false
            );
        }
		return $list;
	}
}
?>