<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'bazinga_trx_socials_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'bazinga_trx_socials_theme_setup9', 9 );
	function bazinga_trx_socials_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'bazinga_filter_tgmpa_required_plugins', 'bazinga_trx_socials_tgmpa_required_plugins', 8 );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'bazinga_trx_socials_tgmpa_required_plugins' ) ) {
    function bazinga_trx_socials_tgmpa_required_plugins( $list = array() ) {
        if ( bazinga_storage_isset( 'required_plugins', 'trx_socials' ) ) {
            $path = bazinga_get_file_dir( 'plugins/trx_socials/trx_socials.zip' );
            if ( ! empty( $path ) || bazinga_get_theme_setting( 'tgmpa_upload' ) ) {
                $list[] = array(
                    'name'     => bazinga_storage_get_array( 'required_plugins', 'trx_socials' ),
                    'slug'     => 'trx_socials',
                    'version'  => '1.4.5',
                    'source'   => ! empty( $path ) ? $path : 'upload://trx_socials.zip',
                    'required' => false,
                );
            }
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'bazinga_exists_trx_socials' ) ) {
	function bazinga_exists_trx_socials() {
		return defined('TRX_SOCIALS_STORAGE');
	}
}
