<?php
/* YITH WooCommerce Compare support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'bazinga_yith_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'bazinga_yith_theme_setup9', 9 );
    function bazinga_yith_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'bazinga_filter_tgmpa_required_plugins', 'bazinga_yith_tgmpa_required_plugins' );
            add_filter( 'bazinga_filter_theme_plugins', 'bazinga_yith_theme_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'bazinga_yith_tgmpa_required_plugins' ) ) {
    function bazinga_yith_tgmpa_required_plugins( $list = array() ) {
            if (bazinga_storage_isset('required_plugins', 'yith-woocommerce-compare')) {
            $list[] = array(
                'name' 		=> bazinga_storage_get_array('required_plugins', 'yith-woocommerce-compare'),
                'slug' 		=> 'yith-woocommerce-compare',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if yith installed and activated
if ( ! function_exists( 'bazinga_exists_yith' ) ) {
    function bazinga_exists_yith() {
        return defined( 'YITH_WOOCOMPARE_DIR' );
    }
}

// Set plugin's specific importer options
if ( !function_exists( 'bazinga_yith_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',	'bazinga_yith_importer_set_options' );
    function bazinga_yith_importer_set_options($options=array()) {
        if ( bazinga_exists_yith() && bazinga_storage_isset('required_plugins', 'yith-woocommerce-compare') )  {
            $options['additional_options'][] = 'yith_woocompare_%';
        }
        return $options;
    }
}


